CHECKPKG(1)

NAME
checkpkg - Compare the current build package with the repository version

SYNOPSIS

checkpkg

DESCRIPTION

Searches for a locally built package corresponding to the PKGBUILD, and downloads the last version of that package from the Pacman repositories. It then compares the list of .so files provided by each version of the package and outputs if there are soname differences for the new package. A directory is also created using mktemp with files containing a file list for both packages and a library list for both packages.

OPTIONS

-r, --rmdir
    Remove the temporary directory created to contain the file and library list of both packages.

-w, --warn
    Print a warning instead of a regular message in case of soname differences.

-h, --help
    Show a help text

SEE ALSO

find-libprovides(1)

BUGS

Bugs can be reported on the bug tracker https://bugs.archlinux.org in the Arch Linux category and title prefixed with [devtools] or via arch-projects@archlinux.org.

AUTHORS

Maintainers:

    • Aaron Griffin <aaronmgriffin@gmail.com>

    • Allan McRae <allan@archlinux.org>

    • Bartłomiej Piotrowski <bpiotrowski@archlinux.org>

    • Dan McGee <dan@archlinux.org>

    • Dave Reisner <dreisner@archlinux.org>

    • Evangelos Foutras <evangelos@foutrelis.com>

    • Jan Alexander Steffens (heftig) <jan.steffens@gmail.com>

    • Jelle van der Waa <jelle@archlinux.org>

    • Levente Polyak <anthraxx@archlinux.org>

    • Pierre Schmitz <pierre@archlinux.de>

    • Sébastien Luttringer <seblu@seblu.net>

    • Sven-Hendrik Haase <svenstaro@gmail.com>

    • Thomas Bächler <thomas@archlinux.org>

For additional contributors, use git shortlog -s on the devtools.git repository.